## Name

systemd-cgls — Recursively show control group contents

## Synopsis

`systemd-cgls [OPTIONS...] [CGROUP...]`

## Description

systemd-cgls recursively shows the contents of the selected Linux control group hierarchy in a tree. If arguments are specified shows all member processes of the specified control groups plus all their subgroups and their members. The control groups may either be specified by their full file paths or are assumed in the systemd control group hierarchy. If no argument is specified and the current working directory is beneath the control group mount point `/sys/fs/cgroup` shows the contents of the control group the working directory refers to. Otherwise the full systemd control group hierarchy is shown.

By default empty control cgroups are not shown.

## Options

The following options are understood:

`-h`, `--help`

  Prints a short help text and exits.

`--version`

  Prints a short version string and exits.

`--no-pager`

  Do not pipe output into a pager.

`--all`

  Don't hide empty control groups in the outpout.

`-k`

  Include kernel threads in output.

## Exit status

On success 0 is returned, a non-zero failure code otherwise.

## See Also

systemd(1), systemctl(1), systemd-cgtop(1), ps(1)